Author Topic: [Solved] Can't build on Mint  (Read 11893 times)

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: [Solved] Can't build on Mint
« Reply #15 on: July 27, 2012, 02:29:17 pm »
[...]what really matters is to be able to use it to do your job.

But you should be aware, that tweaking the sources, if not really needed, might lead to conflicts with later updates.
And if it is really necessary to manually edit the sources and/or configuration-files should be reported upstream, so a possible bug can be fixed.

stefanos_

  • Guest
Re: [Solved] Can't build on Mint
« Reply #16 on: July 27, 2012, 08:02:39 pm »
ok, i guess i should double check it on a clean system and let you know that is bug for sure, and i will report it if it is.

Offline jens

  • Administrator
  • Lives here!
  • *****
  • Posts: 7265
    • Jens' unofficial debian-repository for the Code::Blocks - IDE
Re: [Solved] Can't build on Mint
« Reply #17 on: July 27, 2012, 08:28:13 pm »
It's definitely not a bug, at least not a C::B one.

I just build it on Mint 12 (as the originalposter) and there are no issues.

It looks like ha hasn't wx-common installed, the package which includes the automake-macros for wx on Mint 12.
As this is an essential development tool for all automake-based wxwidgtes software, it should be a dependency of the wxwidgets dev-packages (as it is on Mint 13 and Debian).

So I think it's a gain an Ubuntu (this time packaging-) issue, which makes problems. Mint 12 and Mint 13 extensively uses Ubuntu-repos.